Disk Encryption Sets - Get
取得磁碟加密集的相關資訊。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/diskEncryptionSets/{diskEncryptionSetName}?api-version=2025-01-02
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
disk
|
path | True |
string |
正在建立的磁碟加密集名稱。 建立磁碟加密集之後,就無法變更名稱。 名稱的支援字元為 a-z、A-Z、0-9、_ 和 -。 最大名稱長度為 80 個字元。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
資源群組的名稱。 名稱不區分大小寫。 |
|
subscription
|
path | True |
string minLength: 1 |
目標訂用帳戶的標識碼。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
Azure 運作順利完成。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow.
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
| get information about a disk encryption set when auto-key rotation failed. |
| get information about a disk encryption set. |
get information about a disk encryption set when auto-key rotation failed.
範例要求
範例回覆
{
"identity": {
"type": "SystemAssigned"
},
"properties": {
"activeKey": {
"sourceVault": {
"id": "/subscriptions/{subscriptionId}/resourceGroups/myResourceGroup/providers/Microsoft.KeyVault/vaults/myVMVault"
},
"keyUrl": "https://myvmvault.vault-int.azure-int.net/keys/{key}"
},
"encryptionType": "EncryptionAtRestWithCustomerKey",
"previousKeys": [],
"rotationToLatestKeyVersionEnabled": true,
"provisioningState": "Succeeded",
"autoKeyRotationError": {
"code": "ManagedServiceIdentityNotFound",
"message": "Auto-key rotation was disabled as managed service identity associated with DiskEncryptionSet 'myDiskEncryptionSet' was not found. Please update the resource with correct identity to re-enable auto-key rotation."
}
},
"type": "Microsoft.Compute/diskEncryptionSets",
"location": "westus",
"tags": {
"department": "Development",
"project": "Encryption"
},
"id": "/subscriptions/{subscriptionId}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/diskEncryptionSets/myDiskEncryptionSet",
"name": "myDiskEncryptionSet"
}
get information about a disk encryption set.
範例要求
範例回覆
{
"identity": {
"type": "SystemAssigned"
},
"properties": {
"activeKey": {
"sourceVault": {
"id": "/subscriptions/{subscriptionId}/resourceGroups/myResourceGroup/providers/Microsoft.KeyVault/vaults/myVMVault"
},
"keyUrl": "https://myvmvault.vault-int.azure-int.net/keys/{key}"
},
"encryptionType": "EncryptionAtRestWithCustomerKey",
"previousKeys": [],
"provisioningState": "Succeeded"
},
"type": "Microsoft.Compute/diskEncryptionSets",
"location": "westus",
"tags": {
"department": "Development",
"project": "Encryption"
},
"id": "/subscriptions/{subscriptionId}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/diskEncryptionSets/myDiskEncryptionSet",
"name": "myDiskEncryptionSet"
}
定義
| 名稱 | Description |
|---|---|
|
Api |
Api 錯誤。 |
|
Api |
Api 錯誤基底。 |
|
Cloud |
來自計算服務的錯誤回應。 |
|
Common. |
|
|
created |
建立資源的身分識別類型。 |
|
Disk |
磁碟加密集資源。 |
|
Disk |
DiskEncryptionSet 所使用的受控識別類型。 新建立僅支援 SystemAssigned。 磁碟加密集可在訂閱遷移至新 Azure Active Directory 租戶時更新為 Identity Type(無);這會導致加密資源失去對金鑰的存取權。 |
|
Disk |
用來加密磁碟數據的金鑰類型。 |
|
Encryption |
磁碟加密集的受控識別。 它應該授與金鑰保存庫的許可權,才能用來加密磁碟。 |
|
Inner |
內部錯誤詳細數據。 |
|
Key |
要用於受控磁碟和快照集伺服器端加密的 Key Vault 金鑰 URL |
|
Source |
保存庫標識符是 /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.KeyVault/vaults/{vaultName} 格式的 Azure Resource Manager 資源標識符 |
|
system |
與建立和上次修改資源相關的元數據。 |
ApiError
Api 錯誤。
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
錯誤碼。 |
| details |
Api 錯誤詳細資料 |
|
| innererror |
Api 內部錯誤 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
特定錯誤的目標。 |
ApiErrorBase
Api 錯誤基底。
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
錯誤碼。 |
| message |
string |
錯誤訊息。 |
| target |
string |
特定錯誤的目標。 |
CloudError
來自計算服務的錯誤回應。
| 名稱 | 類型 | Description |
|---|---|---|
| error |
Api 錯誤。 |
Common.UserAssignedIdentitiesValue
| 名稱 | 類型 | Description |
|---|---|---|
| clientId |
string |
使用者指派身分識別的用戶端標識碼。 |
| principalId |
string |
使用者指派身分識別的主體標識碼。 |
createdByType
建立資源的身分識別類型。
| 值 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DiskEncryptionSet
磁碟加密集資源。
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string |
資源的完整資源標識碼。 例如 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| identity |
磁碟加密集的受控識別。 它應該授與金鑰保存庫的許可權,才能用來加密磁碟。 |
|
| location |
string |
資源所在的地理位置 |
| name |
string |
資源的名稱 |
| properties.activeKey |
此磁碟加密集目前使用的金鑰保存庫金鑰。 |
|
| properties.autoKeyRotationError |
自動金鑰輪替期間遇到的錯誤。 如果存在錯誤,則在修復此磁碟加密集上的錯誤之前,不會嘗試自動金鑰輪替。 |
|
| properties.encryptionType |
用來加密磁碟數據的金鑰類型。 |
|
| properties.federatedClientId |
string |
多租使用者應用程式用戶端識別碼,以存取不同租使用者中的密鑰保存庫。 將值設定為 『None』 將會清除 屬性。 |
| properties.lastKeyRotationTimestamp |
string (date-time) |
此磁碟加密集的作用中金鑰更新的時間。 |
| properties.previousKeys |
此磁碟加密集先前在金鑰輪替進行時使用的金鑰保存庫金鑰的唯讀集合。 如果沒有持續的按鍵輪換,它將是空的。 |
|
| properties.provisioningState |
string |
磁碟加密集佈建狀態。 |
| properties.rotationToLatestKeyVersionEnabled |
boolean |
將此旗標設定為 true,以啟用此磁碟加密設定為最新密鑰版本的自動更新。 |
| systemData |
Azure Resource Manager 包含 createdBy 與 modifiedBy 資訊的元資料。 |
|
| tags |
object |
資源標籤。 |
| type |
string |
資源的類型。 例如:「Microsoft。運算/虛擬機器」或「Microsoft」。儲存/儲存帳號」 |
DiskEncryptionSetIdentityType
DiskEncryptionSet 所使用的受控識別類型。 新建立僅支援 SystemAssigned。 磁碟加密集可在訂閱遷移至新 Azure Active Directory 租戶時更新為 Identity Type(無);這會導致加密資源失去對金鑰的存取權。
| 值 | Description |
|---|---|
| SystemAssigned | |
| UserAssigned | |
| SystemAssigned, UserAssigned | |
| None |
DiskEncryptionSetType
用來加密磁碟數據的金鑰類型。
| 值 | Description |
|---|---|
| EncryptionAtRestWithCustomerKey |
使用 diskEncryptionSet 的資源會在待用時使用客戶管理的金鑰進行加密,客戶可以變更和撤銷。 |
| EncryptionAtRestWithPlatformAndCustomerKeys |
使用 diskEncryptionSet 的資源會在靜態時使用兩層加密進行加密。 其中一個金鑰是客戶管理,另一個金鑰是平臺管理。 |
| ConfidentialVmEncryptedWithCustomerKey |
機密 VM 支援的磁碟和 VM 客體狀態會使用客戶自控金鑰進行加密。 |
EncryptionSetIdentity
磁碟加密集的受控識別。 它應該授與金鑰保存庫的許可權,才能用來加密磁碟。
| 名稱 | 類型 | Description |
|---|---|---|
| principalId |
string |
受控識別資源的物件識別碼。 如果資源具有 systemAssigned(隱含) 身分識別,則會透過 PUT 要求中的 x-ms-identity-principal-id 標頭從 ARM 傳送至 RP |
| tenantId |
string |
受控識別資源的租用戶識別碼。 如果資源具有 systemAssigned (隱含) 身分識別,則會透過 PUT 要求中的 x-ms-client-tenant-id 標頭從 ARM 傳送至 RP |
| type |
DiskEncryptionSet 所使用的受控識別類型。 新建立僅支援 SystemAssigned。 磁碟加密集可在訂閱遷移至新 Azure Active Directory 租戶時更新為 Identity Type(無);這會導致加密資源失去對金鑰的存取權。 |
|
| userAssignedIdentities |
<string,
Common. |
與磁碟加密集相關聯的使用者身分識別清單。 使用者身份字典的金鑰參考會是 ARM 資源 ID,格式為:'/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft。ManagedIdentity/userAssignedIdentities/{identityName}'. |
InnerError
內部錯誤詳細數據。
| 名稱 | 類型 | Description |
|---|---|---|
| errordetail |
string |
內部錯誤訊息或異常狀況傾出。 |
| exceptiontype |
string |
例外狀況型別。 |
KeyForDiskEncryptionSet
要用於受控磁碟和快照集伺服器端加密的 Key Vault 金鑰 URL
| 名稱 | 類型 | Description |
|---|---|---|
| keyUrl |
string |
指向 KeyVault 中金鑰的完整版本金鑰 URL。 不論 rotationToLatestKeyVersionEnabled 值為何,都需要 URL 的版本區段。 |
| sourceVault |
包含金鑰或秘密之 KeyVault 的資源識別碼。 此屬性是選擇性的,如果 KeyVault 訂用帳戶與磁碟加密集訂用帳戶不同,則無法使用此屬性。 |
SourceVault
保存庫標識符是 /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.KeyVault/vaults/{vaultName} 格式的 Azure Resource Manager 資源標識符
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string |
資源標識碼 |
systemData
與建立和上次修改資源相關的元數據。
| 名稱 | 類型 | Description |
|---|---|---|
| createdAt |
string (date-time) |
資源建立的時間戳(UTC)。 |
| createdBy |
string |
建立資源的身分識別。 |
| createdByType |
建立資源的身分識別類型。 |
|
| lastModifiedAt |
string (date-time) |
資源上次修改的時間戳記 (UTC) |
| lastModifiedBy |
string |
上次修改資源的身分識別。 |
| lastModifiedByType |
上次修改資源的身分識別類型。 |